org.h2gis.functions.io.dbf

## Class DBFRead

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.dbf.DBFRead

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class DBFRead
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`DBFRead()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static void` `read(Connection connection, String fileName, String tableReference)`
`static void` `read(Connection connection, String fileName, String tableReference, String fileEncoding)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### DBFRead

    public DBFRead()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### read

    public static void read(Connection connection,
                            String fileName,
                            String tableReference)
                     throws IOException,
                            SQLException

Throws:
  `IOException`
  `SQLException`

#### read

    public static void read(Connection connection,
                            String fileName,
                            String tableReference,
                            String fileEncoding)
                     throws IOException,
                            SQLException

Throws:
  `IOException`
  `SQLException`